Get organization
curl --request GET \
--url https://api.postflow.app/v1/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.postflow.app/v1/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.postflow.app/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.postflow.app/v1/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.postflow.app/v1/organizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.postflow.app/v1/organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.postflow.app/v1/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"owner_id": "<string>",
"name": "<string>",
"approval_workflow": 0,
"guest_can_approve": true,
"avatar": "<string>",
"timezone": "<string>",
"default_group_id": "<string>",
"two_factor_required": true,
"default_notify_assignee": true,
"lock_approved_posts": true,
"hide_drafts_for_clients": true,
"external_sync_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"socialAccountsLeft": 123,
"totalConnectedSocialAccounts": 123,
"subscriptionPlan": "solo",
"default_fb_post_type": 1,
"default_ig_post_type": 1,
"default_li_post_type": 1,
"default_tt_post_type": 1,
"default_gb_post_type": 1,
"default_yt_post_type": 1,
"default_tw_post_type": 1,
"default_th_post_type": 1,
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"inviter_id": "<string>",
"organization_id": "<string>",
"role": "owner",
"is_client": true,
"can_approve": true,
"can_connect_account": true,
"can_access_all_groups": true,
"self_approval": true,
"time_format_24": true,
"week_start_day": 0,
"date_format": 1,
"color": 1,
"avatar": "<string>",
"invited_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_cu_links_in_app": false,
"groupIds": []
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Organization
Get organization
Returns the user’s organization, including all members.
GET
/
organizations
Get organization
curl --request GET \
--url https://api.postflow.app/v1/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.postflow.app/v1/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.postflow.app/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.postflow.app/v1/organizations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.postflow.app/v1/organizations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.postflow.app/v1/organizations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.postflow.app/v1/organizations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"owner_id": "<string>",
"name": "<string>",
"approval_workflow": 0,
"guest_can_approve": true,
"avatar": "<string>",
"timezone": "<string>",
"default_group_id": "<string>",
"two_factor_required": true,
"default_notify_assignee": true,
"lock_approved_posts": true,
"hide_drafts_for_clients": true,
"external_sync_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"socialAccountsLeft": 123,
"totalConnectedSocialAccounts": 123,
"subscriptionPlan": "solo",
"default_fb_post_type": 1,
"default_ig_post_type": 1,
"default_li_post_type": 1,
"default_tt_post_type": 1,
"default_gb_post_type": 1,
"default_yt_post_type": 1,
"default_tw_post_type": 1,
"default_th_post_type": 1,
"users": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"inviter_id": "<string>",
"organization_id": "<string>",
"role": "owner",
"is_client": true,
"can_approve": true,
"can_connect_account": true,
"can_access_all_groups": true,
"self_approval": true,
"time_format_24": true,
"week_start_day": 0,
"date_format": 1,
"color": 1,
"avatar": "<string>",
"invited_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_cu_links_in_app": false,
"groupIds": []
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Response
OrganizationData